Copyright: Created with EasyHelp (Tel: 0973 209667)


FSM/Logic to Event - RG350854

Description

This function block converts the transitions in a logic signal (Input) into discrete events typically for use with a state machine.  The block has two outputs:  one for the false-to-true logic transition and one for the true-to-false logic transition.

Since the function block does not supply any data of its own, the user must specify the data to be sent.  When connecting to a state machine, this data is the event number.  (Note, however, that the logic to event function block can be used to send data to other types of function blocks.)

Parameters

Input	Input to the logic-to-event block.  Expects true or false.


Description

This function block converts the transitions in a logic signal (Input) into discrete events typically for use with a state machine.  The block has two outputs:  one for the false-to-true logic transition and one for the true-to-false logic transition.

Since the function block does not supply any data of its own, the user must specify the data to be sent.  When connecting to a state machine, this data is the event number.  (Note, however, that the logic to event function block can be used to send data to other types of function blocks.)


Parameters

Input	Input to the logic-to-event block.  Expects true or false.